package cn.ibizlab.codegen.model;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.experimental.Accessors;
import net.ibizsys.model.service.IPSSysServiceAPI;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
@NoArgsConstructor
@Accessors(chain = true)
public class ApiModel extends BaseModel{

    public ApiModel(IPSSysServiceAPI api)
    {
        this.opt=api;
        this.setCodeName(api.getCodeName());
        this.setName(api.getName());
        apiEntities=new ArrayList<>();
        if(getSysServiceApi().getPSDEServiceAPIs()!=null)
        {
            getSysServiceApi().getPSDEServiceAPIs().forEach(item->{
                apiEntities.add(new ApiEntityModel(this,item));
            });
        }
    }

    private List<ApiEntityModel> apiEntities;

    public IPSSysServiceAPI getSysServiceApi()
    {
        return (IPSSysServiceAPI)opt;
    }

}
