package cn.ibizlab.codegen.model;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.experimental.Accessors;
import net.ibizsys.model.app.view.IPSAppView;
import org.springframework.util.StringUtils;

@Getter
@Setter
@NoArgsConstructor
@Accessors(chain = true)
public class PageModel extends BaseModel{

    public PageModel(AppModel appModel,IPSAppView appView)
    {
        this.opt=appView;
        this.app=appModel;
        this.setCodeName(appView.getCodeName());
        this.setName(appView.getName());
        this.setId(String.format("%1$s-%2$s",app.getCodeName(),appView.getCodeName()));
    }

    public IPSAppView getAppView()
    {
        return (IPSAppView)opt;
    }

    private AppModel app;

    public String getAppModule()
    {
        if(getAppView().getPSAppDataEntity()==null)
            return "default";
        String appModules=getAppView().getPSAppDataEntity().getCodeName();

        appModules=appModules.toLowerCase();
        return appModules;
    }


}
